import React from 'react';
import ReactDOM from 'react-dom';
import { createStore, applyMiddleware, compose } from 'redux'
import { Provider } from 'react-redux'
import thunk from 'redux-thunk'
import { logger } from 'redux-logger'
// import Router from './router';
import rootReducers from './store'
import App from './App';

// 默认样式
import './assets/css/index.scss';

// iconfont
import './assets/font/iconfont.css';


var store = createStore(rootReducers, compose(
    applyMiddleware(thunk,logger)
))

ReactDOM.render(
        <Provider store={store}>
                <App />
        </Provider>,
        document.getElementById('root'));